# All files / src/node-obfuscators/replacers BooleanLiteralReplacer.ts

100% Statements 4/4
100% Branches 2/2
100% Functions 0/0
100% Lines 4/4

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    141x

    1x

    1x

    6053x

     import { JSFuck } from '../../enums/JSFuck';

    import { AbstractReplacer } from './AbstractReplacer';

    export class BooleanLiteralReplacer extends AbstractReplacer {
        /**
         * @param nodeValue
         * @returns {string}
         */
        public replace (nodeValue: boolean): string {
            return nodeValue ? JSFuck.True : JSFuck.False;
        }
    }